summaryrefslogtreecommitdiff
path: root/debian/ntpdate.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/ntpdate.postinst')
-rw-r--r--debian/ntpdate.postinst12
1 files changed, 12 insertions, 0 deletions
diff --git a/debian/ntpdate.postinst b/debian/ntpdate.postinst
new file mode 100644
index 0000000..28210df
--- /dev/null
+++ b/debian/ntpdate.postinst
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+ if [ -n "$2" ] && dpkg --compare-versions "$2" lt 1:4.2.2+dfsg.2-3; then
+ rm -f /etc/init.d/ntpdate
+ update-rc.d ntpdate remove >/dev/null
+ fi
+fi
+
+#DEBHELPER#